com.h3c.sdn.common

## Enum L2Path.Metric

- java.lang.Object
- - java.lang.Enum<L2Path.Metric>
  - - com.h3c.sdn.common.L2Path.Metric

- All Implemented Interfaces:
    Serializable, Comparable<L2Path.Metric>
  Enclosing interface:
    L2Path

      public static enum L2Path.Metric
      extends Enum<L2Path.Metric>

  Identifies the metric used in computing shortest paths.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HOPS` Shortest path means least number of traversed nodes.
    `SPEED` Shortest path means greatest combined link speed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static L2Path.Metric` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static L2Path.Metric[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOPS

          public static final L2Path.Metric HOPS

      Shortest path means least number of traversed nodes.

    - #### SPEED

          public static final L2Path.Metric SPEED

      Shortest path means greatest combined link speed.

  - ### Method Detail

    - #### values

          public static L2Path.Metric[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (L2Path.Metric c : L2Path.Metric.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static L2Path.Metric valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.